package com.github.jfcloud.controller;

import com.github.jfcloud.util.WordUtil;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.InputStream;
import java.util.*;

@RestController
@RequestMapping("/word")
@RequiredArgsConstructor
public class WordController {

    @GetMapping("/export")
    public void  export(HttpServletResponse response){
        //导入到模板
        Map<String, Object> wordMap = new HashMap<>();
        //实验动物信息
        wordMap.put("projectName","测试项目名称");
        wordMap.put("projectNameEn","测试项目英文名称");
        wordMap.put("pl","pl名称");
        wordMap.put("plPhone","13022211144");
        wordMap.put("plEmail","12324@qq.com");
        wordMap.put("type","内部项目");
        wordMap.put("source","985实验计划");
        wordMap.put("plDuty","教授");
        wordMap.put("addr","湖北武汉");
        wordMap.put("lxr","联系人名称");
        wordMap.put("lxrDuty","实验员");
        wordMap.put("lxrEmail","1231231234@qq.com");
        wordMap.put("lxrPhone","130222266658");
        wordMap.put("projectDate","2023-12-12/2024-12-24");

        List<Map<String,Object>> syy = new ArrayList<>();
        for(int i=1;i<10;i++){
            Map<String,Object> map = new HashMap<>();
            map.put("username","张三"+i);
            map.put("certNo","no"+i);
            map.put("duty","职位"+i);
            syy.add(map);
        }
        wordMap.put("syy",syy);
        try {
            WordUtil.exportWord("test.ftl", wordMap,"test.docx",response);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

}
